"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9310>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec93a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9430>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec94c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9550>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec95e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9670>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9700>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9790>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9820>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec98b0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec99d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9a60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9af0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9b80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9c10>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9ca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9d30>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9dc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9e50>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9ee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ec9f70>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed10d0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed11f0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1280>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1310>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed13a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1430>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed14c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1550>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed15e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1670>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1790>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1820>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed18b0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1940>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed19d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1a60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1af0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1b80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1c10>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1ca0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1d30>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1dc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1e50>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1ee0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed1f70>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed40d0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4160>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed41f0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4280>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4310>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed43a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4430>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed44c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4550>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed45e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4670>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4700>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4790>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4940>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4820>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed49d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4a60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4af0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4b80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4c10>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4d30>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4ca0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4dc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4e50>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4ee0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed7040>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed4f70>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed70d0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed7160>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed71f0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed7280>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed7310>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f1b77ed73a0>)]
name: str = 'fr_HOCCN'
